using System;
using System.Data;

/// <summary>
/// IPurchase 的摘要说明
/// </summary>
namespace Product
{
   public interface IPurchase
   {
       int Insert(TPurchase eui, out int intReturn);                   //添加求购信息
       int Update(TPurchase us);                    //修改求购信息
       int UpdateVerify(TPurchase eui);             //修改审核
       int UpdateRecommend(TPurchase eui);          //修改推荐
       int Delete(int ID);                          //根据ID删除求购信息
       DataTable GetDataTable(string strWhere);     //根据标题名称和会员名称得到所有求购信息
       DataTable GetDataTable(TPurchase us);        //根据用ID和审核信息得到用户求购信息
       TPurchase GateItem(int ID);                  //根据ID取得求购信息
   }
}
